## ros-indigo-rospy-message-converter 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rospy_message_converter)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

# Generate messages for testing (NOINSTALL)
add_message_files(
  FILES
  TestArray.msg
  Uint8Array3TestMessage.msg
  Uint8ArrayTestMessage.msg
  NOINSTALL
)

catkin_python_setup()

# Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

# Testing
if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/test_json_message_converter.py)
  catkin_add_nosetests(test/test_message_converter.py)
endif()

=== debian/changelog ===
ros-indigo-rospy-message-converter (0.5.0-0trusty) trusty; urgency=high

  * Initial release into Lunar and Melodic
  * Remove support for Jade (EOL)
  * Change maintainer from Brandon Alexander to Martin Günther
  * Move repo from baalexander to uos
  * Add serialize_deserialize to unit tests, fix incorrect tests caught by this
  * Remove dependency on ROS master in tests; all tests are now unit
    tests  (#18 <https://github.com/uos/rospy_message_converter/issues/18>)
  * Add service request/response support (#17 <https://github.com/uos/rospy_message_converter/issues/17>)
  * Fix fixed-size uint8 array conversion failure (#15 <https://github.com/uos/rospy_message_converter/issues/15>)
  * Fix unicode handling in string fields (#13 <https://github.com/uos/rospy_message_converter/issues/13>)
  * Enable testing only if CATKIN_ENABLE_TESTING is set (#9 <https://github.com/uos/rospy_message_converter/issues/9>)
  * Contributors: Martin Günther, Brandon Alexander, George Laurent, Jean-Baptiste Doyon, Viktor Schlegel, Rein Appeldoorn, Will Baker, neka-nat

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Jan 2019 23:00:00 -0000

ros-indigo-rospy-message-converter (0.4.0-0trusty) trusty; urgency=high

  * Adds support for ROS Jade
  * Removes support for ROS Groovy and Hydro (EOL)
  * Uses single branch for all ROS versions
  * Docker support for local development and Travis CI

 -- Brandon Alexander <baalexander@gmail.com>  Sat, 12 Dec 2015 23:00:00 -0000

ros-indigo-rospy-message-converter (0.3.0-0trusty) trusty; urgency=high

  * Adds support for ROS Indigo

 -- Brandon Alexander <baalexander@gmail.com>  Mon, 02 Jun 2014 22:00:00 -0000

ros-indigo-rospy-message-converter (0.2.0-0trusty) trusty; urgency=high

  * Updates to ROS Hydro
  * Builds and runs tests with Travis CI
  * Adds CHANGELOG

 -- Brandon Alexander <baalexander@gmail.com>  Sun, 14 Jul 2013 22:00:00 -0000

ros-indigo-rospy-message-converter (0.1.4-0trusty) trusty; urgency=high

  * Documents Python functions
  * Throws error if invalid JSON or dictionary

 -- Brandon Alexander <baalexander@gmail.com>  Mon, 15 Apr 2013 22:00:00 -0000

ros-indigo-rospy-message-converter (0.1.3-0trusty) trusty; urgency=high

  * Adds rostest dependency

 -- Brandon Alexander <baalexander@gmail.com>  Sun, 03 Mar 2013 23:00:00 -0000

ros-indigo-rospy-message-converter (0.1.2-0trusty) trusty; urgency=high

  * Adds missing build_depends and run_depends

 -- Brandon Alexander <baalexander@gmail.com>  Sun, 03 Mar 2013 23:00:00 -0000

ros-indigo-rospy-message-converter (0.1.1-0trusty) trusty; urgency=high

  * Adds message_generation dependency to fix build

 -- Brandon Alexander <baalexander@gmail.com>  Thu, 28 Feb 2013 23:00:00 -0000

ros-indigo-rospy-message-converter (0.1.0-0trusty) trusty; urgency=high

  * Initial release of rospy_message_converter

 -- Brandon Alexander <baalexander@gmail.com>  Tue, 26 Feb 2013 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-rospy-message-converter
Section: misc
Priority: extra
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-rosunit, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/rospy_message_converter
Standards-Version: 3.9.2

Package: ros-indigo-rospy-message-converter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-std-msgs
Description: Converts between Python dictionaries and JSON to rospy messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rospy-message-converter//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
